## dossizola 1.0

=== debian/changelog ===
dossizola (1.0-8.3) unstable; urgency=low

  * Non-maintainer upload.
    - Move to packaging format "3.0 (quilt)" due to desktop image files.
    - NMU approved by maintainer, see #549545.
  * debian/compat
    - Update obsolete 5 to 8.
  * debian/control
    - (Build-Depends): Add autotools-dev due to config.{sub,guess}.
      Update to debhelper 8.
    - (Depends) update tag "Source-Version" to "source:Version"
      to correct binNMU. Patch tanks to Lior Kaplan <kaplan@debian.org>
      (normal; Closes: #435939).
    - (Homepage): New field.
    - (Standards-Version): Update to 3.9.1.
    - Package dossizola
      + (Depends): Add ${misc:Depends} (Lintian).
    - Package dossizola-data
      + (Depends): New. Add ${misc:Depends} (Lintian).
      + (Description): Extend (Lintian).
  * debian/copyright
    - Point to GPL-2, save as UTF-8, add copyright years (Lintian).
    - Add FSF preamble (Lintian).
    - Point URL to canonical Sourceforge project.
  * debian/dossizola.{desktop,png,xcf}
    - New. Supplied by Stéphane Blondon <stephane.blondon@gmail.com>.
      (minor; Closes: #573870).
  * debian/dossizola.sgml
    - (refnamediv): Fix bad whatis entry. Must be same as <refmeta> (Lintian).
  * debian/rules
    - (PACKAGE, PKGDIR, SHAREROOTDIR, ICONDIR, DESKTOPDIR): New variables.
    - (binary-indep): Comment out dh_installchangelogs because upsream
      ChangeLog is empty (Lintian).
    - (clean): Cann makefile only if it exists. Delete Makefile.
    - (configure-stamp): use latest config.{sub,guess}
      (wishlist, FTBFS avr32; Closes: #549545).
    - (install): Change obsolete "dh_clean -k" to "dh_prep" (Lintian).
      Add install commands for *.desktop file and icons.
  * debian/preinst
    - Add "set -e" (Lintian).
  * debian/source/{format,include-binaries}
    - New files.
  * debian/watch
    - New file (Lintian).

 -- Jari Aalto <jari.aalto@cante.net>  Fri, 05 Nov 2010 16:16:25 +0200

dossizola (1.0-8.2) unstable; urgency=low

  * NMU.
  * debian/control: Remove unnecessary autotool dependencies. (Closes:
    #376338)

 -- Eric Dorland <eric@debian.org>  Sat, 19 Aug 2006 02:24:37 -0400

dossizola (1.0-8.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS (Closes: #319432)

 -- Philipp Kern <pkern@debian.org>  Sat,  6 Aug 2005 16:23:16 +0200

dossizola (1.0-8) unstable; urgency=low

  * Added AM_MAINTAINER_MODE to configure.in to prevent auto* breakage
    (Closes: #241688).
  * Emptied acinclude.m4 so that current SDL macros get used.
  * Regenerated all auto* stuff (automake 1.4, autoconf 2.13 - will
    migrate later).
  * Bumped Standards-Version to 3.6.1 (no change).
  * Added quotes in menu file (lintian).

 -- Yann Dirson <dirson@debian.org>  Fri,  2 Apr 2004 16:55:13 +0200

dossizola (1.0-7) unstable; urgency=low

  * Rebuilt with current debhelper for current policy.
  * Use debian/compat, build-dep on debhelper 3.4.4.
  * Reworked package descriptions (lintian).
  * Use -g to build as per current policy; replaced support for "debug"
    flag with support for "noopt".
  * Bumped Standards-Version to 3.5.10.

 -- Yann Dirson <dirson@debian.org>  Sun,  1 Jun 2003 21:36:52 +0200

dossizola (1.0-6) unstable; urgency=low

  * Build against sdl 1.2 (Closes: #76166).
  * Patched all invocations of SetAlpha with s/alpha/255-alpha/, as the
    semantics of this call seem to have changed between 1.0 and 1.1.
  * Switched manpage generation to docbook-utils.
  * Install manpage in section 6.

 -- Yann Dirson <dirson@debian.org>  Sun, 27 Jan 2002 22:09:06 +0100

dossizola (1.0-5) unstable; urgency=low

  * Ensure sdl-config is used, by copying acinclude.m4 from
    libsdl1.0-dev/examples/test/acinclude.m4.gz, and the AM_PATH_SDL use
    from libsdl1.0-dev/examples/test/configure.in.  Removed now redundant
    libs from LDADD in dossizola/Makefile.am (Closes: #116531).
  * Swapped colors in exit confirmation, so that YES is green and NO is
    red, to (hopefully) get small children less confused.
  * Written a small DocBook manpage.

 -- Yann Dirson <dirson@debian.org>  Tue, 13 Nov 2001 00:50:49 +0100

dossizola (1.0-4) unstable; urgency=low

  * The "Lintian is much more verbose those days" release.
  * Fixed build-dep to read libsdl-image-dev, not libsdl-image1.0-dev
    (Closes: #102923).
  * Use a build-dep on debhelper instead of dh_testversion.
  * Cosmetic update of debian/copyright.
  * Added support for DEB_BUILD_OPTIONS.
  * Bounced Standards-Version to 3.5.6.
  * Switched to debhelper v3.
  * Fixed formating of extended description.
  * Made dossizola-data recommend dossizola.
  * Removed unexistent Makefile.in files from configure.in (!?).

 -- Yann Dirson <dirson@debian.org>  Mon,  8 Oct 2001 22:54:03 +0200

dossizola (1.0-3) unstable; urgency=low

  * Rebuilt against sdl-1.0 and sdl-image-1.0.8.
  * Remove any old docdir to have it correctly installed as a symlink to
    the data package's docdir (workaround for known dpkg bug).

 -- Yann Dirson <dirson@debian.org>  Sat, 14 Oct 2000 21:42:27 +0200

dossizola (1.0-2) unstable; urgency=low

  * Fixed description (Closes: #69615).
  * Declared missing buid dependencies (Closes: #69924).

 -- Yann Dirson <dirson@debian.org>  Tue,  5 Sep 2000 23:38:03 +0200

dossizola (1.0-1) unstable; urgency=low

  * Initial Release.
  * Added --datadir support to build process.

 -- Yann Dirson <dirson@debian.org>  Thu, 17 Aug 2000 01:38:30 +0200
