=== debian/watch ===
version=3
  http://sf.net/pacage/dossizola-(.+)\.tar\.gz
